Publicamos atualizações frequentes em nossa documentação, e a tradução desta página ainda pode estar em andamento. Para obter as informações mais recentes, acesse a documentação em inglês. Se houver problemas com a tradução desta página, entre em contato conosco.

Sobre alertas de segurança para dependências vulneráveis

GitHub Enterprise sends security alerts when we detect vulnerabilities affecting your repository.

Neste artigo

Sobre vulnerabilidades de segurança

Uma vulnerabilidade é um problema no código de um projeto que poderia ser explorada para corromper a confidencialidade, a integridade ou a disponibilidade do projeto ou de outros projetos que usam o código. Depending on the severity level and the way your project uses the dependency, vulnerabilities can cause a range of problems for your project or the people who use it. Você pode rastrear e resolver vulnerabilidades para determinados tipos de dependência no seu repositório do GitHub Enterprise.

If GitHub detects a vulnerability from the GitHub Advisory Database or WhiteSource in one of the dependencies in your repository's dependency graph, we'll send you a security alert. For more information about the GitHub Advisory Database, see "Browsing security vulnerabilities in the GitHub Advisory Database."

Alertas de segurança para dependências vulneráveis

When a new vulnerability is added to the GitHub Advisory Database, we identify repositories that use the affected version of the dependency and send a security alert to repository maintainers.

Each security alert includes a severity level and a link to the affected file in your project. Quando disponível, o alerta incluirá mais detalhes sobre a vulnerabilidade.

Você pode ver todos os alertas que afetam um projeto específico no gráfico de dependência do repositório.

Enviamos alertas de segurança para as pessoas com permissões de administrador nos repositórios afetados por padrão. O GitHub Enterprise nunca divulga publicamente vulnerabilidades identificadas em algum repositório.

Your site administrator must enable security alerts for vulnerable dependencies for sua instância do GitHub Enterprise Server before you can use this feature. For more information, see "Enabling security alerts for vulnerable dependencies on GitHub Enterprise Server."

Para obter uma lista de linguagens aceitas em que o GitHub Enterprise pode detectar vulnerabilidades e dependências, consulte "Listar os pacotes dos quais um repositório depende".

Observação: os recursos de segurança do GitHub Enterprise, como os alertas de segurança, não têm a pretensão de capturar todas as vulnerabilidades. Embora estejamos sempre tentando atualizar nosso banco de dados de vulnerabilidades e alertar você com nossas informações mais atualizadas, não podemos capturar tudo nem alertar sobre vulnerabilidades conhecidas dentro de um prazo garantido. Esses recursos não substituem a revisão humana de cada dependência em busca de possíveis vulnerabilidades ou algum outro problema, e nossa sugestão é consultar um serviço de segurança ou realizar uma revisão completa de vulnerabilidade quando necessário.

Configurar notificações para alertas de segurança

Por padrão, você receberá um e-mail semanal resumindo os alertas de segurança para até 10 dos seus repositórios. Também é possível optar por receber alertas de segurança individualmente por e-mail, em um e-mail de resumo semanal, nas notificações da web ou na interface de usuário do GitHub Enterprise. Para obter mais informações, consulte "Escolher o método de entrega das notificações".

Leia mais

Pergunte a uma pessoa

Não consegue encontrar o que procura?

Entrar em contato